<div fxLayout="column">

  <mat-tab-group mat-stretch-tabs>
    <mat-tab label="Βασικές Πληροφορίες">
      <div class="settingRow" style="margin: 0;" fxLayout.gt-md="row" fxLayout.md="row wrap" fxLayout.lt-md="row wrap"  fxLayoutGap="10px">

        <div fxLayout="column" fxFlex.gt-md="60" fxFlex.md="100" fxFlex.lt-md="100">

          <form fxLayout="row wrap" fxFlex.gt-md="60" fxFlex.md="100" fxFlex.lt-md="100" fxLayoutAlign="space-between flex-start" [formGroup]="form2" autocomplete="off">
            <mat-form-field appearance="fill" fxFlex="100">
              <mat-label class="titleM">Διακριτικός τίτλος</mat-label>
              <input matInput [formControlName]="'legalName'">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Οδός και αριθμός</mat-label>
              <input matInput [formControlName]="'street'">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100" >
              <mat-label class="titleM">T.K</mat-label>
              <input matInput [formControlName]="'postalCode'" minlength="5" maxlength="5">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Σύντομη περιγραφή (Ελληνικά)</mat-label>
              <input matInput [formControlName]="'descriptionEl'">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Σύντομη περιγραφή (Αγγλικά)</mat-label>
              <input matInput [formControlName]="'descriptionEn'">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Επωνυμία (Όπως δηλώθηκε στη Δ.Ο.Υ)</mat-label>
              <input matInput [formControlName]="'taxLegalName'">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Περιγραφή Δραστηριότητας</mat-label>
              <input matInput [formControlName]="'taxProfession'">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Φ.Π.Α</mat-label>
              <input matInput [formControlName]="'vat'" type="number">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Α.Φ.Μ</mat-label>
              <input matInput [formControlName]="'taxNumber'" minlength="9" maxlength="9">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Αρμόδια Δ.Ο.Υ</mat-label>
              <input matInput [formControlName]="'taxOffice'">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Διεύθυνση Έδρας</mat-label>
              <input matInput [formControlName]="'headquarters'">
            </mat-form-field>

            <div fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100"></div>
            <div fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100"></div>
          </form>

          <mat-divider></mat-divider>
          <form fxLayout="row wrap" fxLayoutAlign="space-between" style="margin-top: 15px;" [formGroup]="form" autocomplete="off">
            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Ποσοστό πελάτη</mat-label>
              <input matInput [formControlName]="'customerPercentage'" readonly type="number">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Ποσοστό Yummy</mat-label>
              <input matInput [formControlName]="'yummyPercentage'" readonly minlength="10" maxlength="10" type="number">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Ποσοστό Καταστήματος</mat-label>
              <input matInput [formControlName]="'storePercentage'" type="number">
            </mat-form-field>

            <mat-form-field appearance="fill" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Ποσοστό Επιστροφής</mat-label>
              <input matInput [formControlName]="'cashbackPercentage'" type="number">
            </mat-form-field>

            <div fxLayout="column" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Υποστηρίζω στάμπες</mat-label>
              <mat-slide-toggle color="primary" [formControlName]="'stamps'" style="margin-bottom: 20px;"></mat-slide-toggle>
            </div>


            <div fxLayout="column" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Υποστηρίζω Cash Back</mat-label>
              <mat-slide-toggle color="primary" [formControlName]="'cashBack'" style="margin-bottom: 20px;"></mat-slide-toggle>
            </div>

            <div fxLayout="column" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100">
              <mat-label class="titleM">Υποστηρίζω iBank Pay</mat-label>
              <mat-slide-toggle color="primary" [formControlName]="'iBankPay'" style="margin-bottom: 20px;"></mat-slide-toggle>
            </div>
            <div fxLayout="column" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100"></div>
            <div fxLayout="column" fxFlex.gt-md="24" fxFlex.md="24" fxFlex.lt-md="100"></div>
          </form>

          <div fxFlex="100" fxLayoutAlign="center center center" style="margin-top: 10px;">
            <button mat-flat-button class="rounded-button" (click)="updateForm()">Ενημέρωση</button>
          </div>
          <div fxHide fxShow.lt-md fxShow.md style="margin-bottom: 20px; margin-top: 20px; border-bottom: 1px solid lightgray;"></div>
        </div>


        <div fxLayout="column" fxFlex.gt-md="40" fxFlex.md="100" fxFlex.lt-md="100" fxLayoutAlign="start">
          <mat-form-field appearance="fill">
            <input matInput ngx-google-places-autocomplete placeholder="Γράψτε την τοποθεσία του καταστήματός σας" (onAddressChange)="handleAddressChange($event)" style="z-index: 999;"/>
          </mat-form-field>
          <agm-map [latitude]="lat" [longitude]="lng" [zoom]=10>

            <agm-marker *ngFor="let marker of markers;"
                        [latitude]="marker.lat" [longitude]="marker.lng"></agm-marker>
          </agm-map>

        </div>
      </div>
    </mat-tab>
    <mat-tab *ngIf="form.controls.stamps.value" label="Στάμπες"></mat-tab>
    <mat-tab label="Ωράριο και λογότυπο">
      <div class="settingRow" fxLayout.gt-md="row" fxLayout.md="row wrap" fxLayout.lt-md="row wrap"  fxLayoutGap="10px">

      <div fxLayout="column" fxFlex.gt-md="50" fxFlex.md="100" fxFlex.lt-md="100">

        <label>Εισάγετε την εικόνα του καταστήματός σας που θα εμφανίζεται στους πελάτες</label>

        <div style="margin-top: 15px;" fxLayout="row wrap" fxLayoutGap="10px" >

          <div class="imageContainer"  fxLayout="row" fxFlex="50" fxFlex.lt-sm="100">
            <img *ngIf="imageSource" #imageElement src={{imageSource}} alt=""/>
            <img *ngIf="!imageSource" src="assets/images/store-default.png" [class.spinner]="loadingImage"/>
          </div>

          <div fxLayout="row">
            <input #fileInput type="file" (change)="onFileInput()"
                   accept="image/png, image/jpeg" style="display:none;"/>

            <div fxLayout="column" fxLayoutGap="10px" fxLayoutAlign="end start center" style="padding-top: 10px;">

              <button *ngIf="!imageSource" mat-raised-button class="rounded-button"
                      (click)="fileInput.click()"
                      [class.spinner]="imageUploading" [disabled]="imageUploading">
                <span *ngIf="!this.imageSource">Επιλογή εικόνας</span>
              </button>


              <button *ngIf="imageSource" mat-raised-button class="rounded-button"
                      (click)="confirmUploadImage()"
                      [class.spinner]="imageUploading" [disabled]="imageUploading">
                <span *ngIf="this.imageSource">Μεταφόρτωση</span>
              </button>


              <button class="rounded-button cancel-button" mat-flat-button (click)="removeImage()">Καθαρισμός εικόνας
              </button>

            </div>
          </div>


        </div>

        <div fxHide fxShow.lt-md fxShow.md style="margin-bottom: 20px; margin-top: 20px; border-bottom: 1px solid lightgray;"></div>

      </div>



      <div fxLayout="column" fxFlex.gt-md="50" fxFlex.md="100" fxFlex.lt-md="100">
        <label style="margin-bottom: 15px;">Επιλέξτε το ωράριο λειτουργίας της επιχείρησής σας</label>

        <mat-table [dataSource]="dataSource" >
          <ng-container matColumnDef="day">
            <mat-header-cell fxLayoutAlign="center center" class="tableHeader" *matHeaderCellDef> Ημέρα
            </mat-header-cell>
            <mat-cell style='font-family: "Comfortaa", sans-serif;' fxLayoutAlign="center center"
                      *matCellDef="let element"> {{element.day}} </mat-cell>
          </ng-container>

          <ng-container matColumnDef="start">
            <mat-header-cell fxLayoutAlign="center center" class="tableHeader" *matHeaderCellDef> Ανοίγει
            </mat-header-cell>
            <mat-cell style='font-family: "Comfortaa", sans-serif;' fxLayoutAlign="center center"
                      *matCellDef="let element">
              <input [ngxTimepicker]="picker" [(ngModel)]="element.start" style="text-align: center">
              <ngx-material-timepicker #picker></ngx-material-timepicker>
            </mat-cell>
          </ng-container>

          <ng-container matColumnDef="end">
            <mat-header-cell fxLayoutAlign="center center" class="tableHeader" *matHeaderCellDef> Κλείνει
            </mat-header-cell>
            <mat-cell style='font-family: "Comfortaa", sans-serif;' fxLayoutAlign="center center"
                      *matCellDef="let element"><input [ngxTimepicker]="picker" [(ngModel)]="element.end" style="text-align: center">
              <ngx-material-timepicker #picker></ngx-material-timepicker>
            </mat-cell>
          </ng-container>
          <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
          <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>

        </mat-table>

        <div fxLayout="row" fxLayoutAlign="center center" style="margin-top: 20px;">
          <button  mat-raised-button class="rounded-button" (click)="updateSchedule()">
            Ενημέρωση ωραρίου
          </button>
        </div>


      </div>


    </div>
    </mat-tab>
    <mat-tab label="Μήνυμα γεωτοποθεσίας">
    <div class="settingRow" fxLayout.gt-md="row" fxLayout.md="row wrap" fxLayout.lt-md="row wrap"  fxLayoutGap="10px">
      <app-geofence [store]="store" [latitude]="lat" [longitude]="lng"></app-geofence>
    </div>
    </mat-tab>
  </mat-tab-group>

</div>
